

#Amino Acid molecular weight
amino_acid_molecular_weight={
'ALA':89.1,
'ARG':174.2,
'ASN':132.1,
'ASP':133.1,
'CYS':121.2,
'GLU':147.1,
'GLN':146.2,
'GLY':75.1,
'HIS':155.2,
'ILE':131.2,
'LEU':131.2,
'LYS':146.2,
'MET':149.2,
'PHE':165.2,
'PRO':115.1,
'SER':105.1,
'THR':119.1,
'TRP':204.2,
'TYR':181.2,
'VAL':117.1
}

#Possibly will be replaced by periodic table library
atomic_weight={
'H':1.00784,
'He':4.002602,
'Li':6.938,
'Be':9.0121831,
'B':10.806,
'C':12.0096,
'N':14.00643,
'O':15.99903,
'F':18.998403163,
'Ne':20.1797,
'Na':22.98976928,
'Mg':24.304,
'Al':26.9815384,
'Si':28.084,
'P':30.973761998,
'S':32.059,
'Cl':35.446,
'Ar':39.792,
'K':39.0983,
'Ca':40.078,
'Sc':44.955908,
'Ti':47.867,
'V':50.9415,
'Cr':51.9961,
'Mn':54.938043,
'Fe':55.845,
'Co':58.933194,
'Ni':58.6934,
'Cu':63.546,
'Zn':65.38,
'Ga':69.723,
'Ge':72.630,
'As':74.921595,
'Se':78.971,
'Br':79.901,
'Kr':83.798,
'Rb':85.4678,
'Sr':87.62,
'Y':88.90584,
'Zr':91.224,
'Nb':92.90637,
'Mo':95.95,
'Ru':101.07,
'Rh':102.90549,
'Pd':106.42,
'Ag':107.8682,
'Cd':112.414,
'In':114.818,
'Sn':118.710,
'Sb':121.760,
'Te':127.60,
'I':126.90447,
'Xe':131.293,
'Cs':132.90545196,
'Ba':137.327,
'La':138.90547,
'Ce':140.116,
'Pr':140.90766,
'Nd':144.242,
'Sm':150.36,
'Eu':151.964,
'Gd':157.25,
'Tb':158.925354,
'Dy':162.500,
'Ho':164.930328,
'Er':167.259,
'Tm':168.934218,
'Yb':173.045,
'Lu':174.9668,
'Hf':178.486,
'Ta':180.94788,
'W':183.84,
'Re':186.207,
'Os':190.23,
'Ir':192.217,
'Pt':195.084,
'Au':196.966570,
'Hg':200.592,
'Tl':204.382,
'Pb':207.2,
'Bi':208.98040,
'Th':232.0377,
'Pa':231.03588,
'U':238.02891,
}


#van der Waals Volumes and Radii, A. Bondi, The Journal of Physical Chemistry 1964 68 (3), 441-451, DOI: 10.1021/j100785a001
vdw_surface_bondi={
'H':1.2,
'He':1.4,
'Li':1.81,
'Be':None,
'B':None,
'C':1.7,
'N':1.55,
'O':1.52,
'F':1.47,
'Ne':1.54,
'Na':2.27,
'Mg':1.73,
'Al':None,
'Si':2.1,
'P':1.8,
'S':1.8,
'Cl':1.75,
'Ar':1.88,
'K':2.75,
'Ca':None,
'Sc':None,
'Ti':None,
'V':None,
'Cr':None,
'Mn':None,
'Fe':None,
'Co':None,
'Ni':None,
'Cu':None,
'Zn':None,
'Ga':1.87,
'Ge':None,
'As':1.85,
'Se':1.9,
'Br':1.83,
'Kr':2.02,
'Rb':None,
'Sr':None,
'Y':None,
'Zr':None,
'Nb':None,
'Mo':None,
'Tc':None,
'Ru':None,
'Rh':None,
'Pd':None,
'Ag':None,
'Cd':None,
'In':1.93,
'Sn':2.17,
'Sb':None,
'Te':2.06,
'I':1.98,
'Xe':2.16,
'Cs':None,
'Ba':None,
'La':None,
'Ce':None,
'Pr':None,
'Nd':None,
'Pm':None,
'Sm':None,
'Eu':None,
'Gd':None,
'Tb':None,
'Dy':None,
'Ho':None,
'Er':None,
'Tm':None,
'Yb':None,
'Lu':None,
'Hf':None,
'Ta':None,
'W':None,
'Re':None,
'Os':None,
'Ir':None,
'Pt':None,
'Au':None,
'Hg':None,
'Tl':1.96,
'Pb':2.02,
'Bi':None,
'Po':None,
'At':None,
'Rn':None,
'Fr':None,
'Ra':None,
'Ac':None,
'Th':None,
'Pa':None,
'U':None,
'Np':None,
'Pu':None,
'Am':None,
'Cm':None,
'Bk':None,
'Cf':None,
'Es':None,
'Fm':None,
'Md':None,
'No':None,
'Lr':None,
'Rf':None,
'Db':None,
'Sg':None,
'Bh':None,
'Hs':None,
'Mt':None,
'Ds':None,
'Rg':None,
'Cn':None,
'Nh':None,
'Fl':None,
'Mc':None,
'Lv':None,
'Ts':None,
'Og':None
}
